package org.project.entity.players;

import org.project.entity.Entity;
import org.project.item.armors.Armor;
import org.project.item.weapons.Weapon;

public class Assassin extends Player
{
    public Assassin (String name) { super(name , 40, 60, 0); }

    @Override
    public void specialAbility(Entity target)
    {
        if (this.getMp() >= 9)
        {
            target.takeDamage(15);
            super.specialAbility(target);
            this.setMp(this.getMp() - 9);
            System.out.println("Assassin picks up the axe and deals a heavy below to the enemy ⚒️");
        }
        else
        {
            System.out.println("You dont have enough mp to use special ability 😓");
        }
    }
}
